Subject: bug#14891: GNU Automake 1.14 FAIL: 5

From: Stefano Lattarini <[email-masked]>
Date: Thu, 05 Dec 2013 23:45:55 +0000

tags 14891 wontfix
severity 14891 minor
close 14891
stop

On 11/04/2013 11:08 PM, Stefano Lattarini wrote:
> tags 14891 + moreinfo
> stop
> 
> On 07/17/2013 01:47 PM, Dennis Clarke wrote:
>>
>> So today we have a much older system but a very very stable one and a
>> decent compiler in the form of the Sun Studio tools on Solaris. 
>>
>> What I see is : 
>>
>> .
>> .
>> .
>> SKIP: t/depcomp-msvisualcpp.tap - Microsoft C compiler 'cl' not available
>> SKIP: t/depcomp-cpp.tap - GNU C compiler unavailable
>> SKIP: t/depcomp-gcc.tap - GNU C compiler unavailable
>> parallel-tests-html: skipped test: no proper rst2html program found
>> SKIP: contrib/t/parallel-tests-html.sh
>> parallel-tests-html-recursive: skipped test: no proper rst2html program found
>> SKIP: contrib/t/parallel-tests-html-recursive.sh
>> PASS: contrib/t/help-multilib.sh
>> multilib: skipped test: GNU C compiler unavailable
>> SKIP: contrib/t/multilib.sh
>> gmake[3]: Entering directory `/usr/local/build/automake-1.14_SunOS5.8_sparcv9.001'
>> gmake[3]: Nothing to be done for `all'.
>> gmake[3]: Leaving directory `/usr/local/build/automake-1.14_SunOS5.8_sparcv9.001'
>> ============================================================================
>> Testsuite summary for GNU Automake 1.14
>> ============================================================================
>> # TOTAL: 2722
>> # PASS:  2434
>> # SKIP:  244
>> # XFAIL: 39
>> # FAIL:  5
>> # XPASS: 0
>> # ERROR: 0
>> ============================================================================
>> See ./test-suite.log
>> Please report to [email-masked]
>> ============================================================================
>> gmake[2]: *** [test-suite.log] Error 1
>> gmake[2]: Leaving directory `/usr/local/build/automake-1.14_SunOS5.8_sparcv9.001'
>> gmake[1]: *** [check-TESTS] Error 2
>> gmake[1]: Leaving directory `/usr/local/build/automake-1.14_SunOS5.8_sparcv9.001'
>> gmake: *** [check-am] Error 2
>>
>>
>> okay .. not bad but can not be installed either. 
>>
>> The tests that failed : 
>>
>> [SNIP]
>> FAIL: t/instmany.sh
>> FAIL: t/instmany-mans.sh
>>
> Please try whether the attached patch solves the failure for
> t/instmany.sh.  If it does, I will turn it into a proper commit
> that also handle the other t/instmany* tests.
> 
> Regards,
>   Stefano
> 

No reply so far.  Since the issues only affected an obsolete Solaris 8
system, I don't think it's worth spending more time on those.  I'm thus
closing this bug.

Thanks,
  Stefano